%define upstream_name     Data-ICal
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Generates iCalendar (RFC 2445) calendar files
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/Data-ICal/
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Accessor)
BuildRequires: perl(Class::ReturnValue)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.420.0
BuildRequires: perl(MIME::QuotedPrint)
BuildRequires: perl(Test::LongString)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::NoWarnings)
BuildRequires: perl(Test::Warn)
BuildRequires: perl(Text::vFile::asData)
BuildArch:  noarch

# rpm doesn't catch this
Requires:   perl(Class::Accessor)
%description
A Data::ICal object represents a VCALENDAR object as defined in the
iCalendar protocol (RFC 2445, MIME type "text/calendar"), as implemented in
many popular calendaring programs such as Apple's iCal.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
make test

%install
%makeinstall_std

#make pure_install PERL_INSTALL_ROOT=%{buildroot}

#find %{buildroot} -type f -name .packlist -exec rm -f {} \;
#find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

#chmod -R u+w %{buildroot}/*

%files
%defattr(-,root,root,-)
%doc Changes META.yml MYMETA.yml README SIGNATURE examples
%{perl_vendorlib}/*
%{_mandir}/man3/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.190.0-2.mga3
+ Revision: 365360
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 29 2012 pterjan <pterjan> 0.190.0-1.mga3
+ Revision: 336055
- Update to 0.19

* Mon Dec 12 2011 jquelin <jquelin> 0.180.0-1.mga2
+ Revision: 180860
- update to 0.18

* Fri Jan 21 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 29580
- mageia rebuild
- imported package perl-Data-ICal

